View Issue Details

IDProjectCategoryView StatusLast Update
0000466luatexluatex bugpublic2012-04-09 05:07
ReporterTacoAssigned ToTaco 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.61.0 
Target Version0.70.0Fixed in Version0.63.0 
Summary0000466: script position of textstyle operators
DescriptionFrom Khaled:

The script position of math operators with opentype fonts that was
solved while ago, seems not have been solved completely, or so it seems.

For the textstyle operators, still using the regular method of
calculating script position, see the attached test. I just checked with
Office and it treats textstyle and scriptsyle the same.

Regards,
 Khaled
Steps To Reproduce
\input luaotfload.sty
\font\text ={file:xits-math.otf:script=math} at 10pt
\font\script ={file:xits-math.otf:script=math;ssty=1} at 7pt
\font\sscript={file:xits-math.otf:script=math;ssty=2} at 5pt
\textfont 4=\text
\scriptfont 4=\script
\scriptscriptfont4=\sscript
\luatexUmathchardef\x="0 "4 "1D465
\luatexUmathchardef\y="0 "4 "1D466

\def\ops{
 \luatexUmathchar "1 "4 "222B\nolimits_{\x}^{\y}
 \luatexUmathchar "1 "4 "222C\nolimits_{\x}^{\y}
 \luatexUmathchar "1 "4 "222D\nolimits_{\x}^{\y}
 \luatexUmathchar "1 "4 "222E\nolimits_{\x}^{\y}
 \luatexUmathchar "1 "4 "222F\nolimits_{\x}^{\y}
}

$$\textstyle\ops$$
$$\ops$$
\bye
Tagsmath

Activities

Taco

2010-08-18 12:15

administrator  

mathop.pdf (11,084 bytes)

Taco

2010-09-04 17:10

administrator   ~0000620

Should be fixed by revision 3856 (hopefully).

Taco

2010-09-04 17:24

administrator   ~0000623

Khaled is happy :)

Issue History

Date Modified Username Field Change
2010-08-18 12:15 Taco New Issue
2010-08-18 12:15 Taco Status new => assigned
2010-08-18 12:15 Taco Assigned To => Taco
2010-08-18 12:15 Taco File Added: mathop.pdf
2010-09-04 17:10 Taco Note Added: 0000620
2010-09-04 17:10 Taco Status assigned => feedback
2010-09-04 17:24 Taco Note Added: 0000623
2010-09-04 17:24 Taco Status feedback => assigned
2010-09-04 17:24 Taco Status assigned => resolved
2010-09-04 17:24 Taco Resolution open => fixed
2010-09-09 11:16 Taco Fixed in Version => 0.63.0
2010-09-09 11:17 Taco Status resolved => closed
2012-04-09 05:07 Khaled Hosny Tag Attached: math